Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 433768 (CVE-2012-3543) - <dev-lang/mono-2.10.9-r2: Web Form Hash Collision Denial of Service Vulnerability (CVE-2012-3543)
Summary: <dev-lang/mono-2.10.9-r2: Web Form Hash Collision Denial of Service Vulnerabi...
Status: RESOLVED FIXED
Alias: CVE-2012-3543
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://secunia.com/advisories/50446/
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks: hashDoS 435202
  Show dependency tree
 
Reported: 2012-09-03 10:32 UTC by Agostino Sarubbo
Modified: 2014-05-18 11:51 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2012-09-03 10:32:14 UTC
From secunia advisory at $URL:

Description
A vulnerability has been reported in Mono, which can be exploited by malicious people to cause a DoS (Denial of Service).

For more information see vulnerability #1:
https://secunia.com/SA47323/

The vulnerability is reported in version 2.10.x. Other versions may also be affected.


Solution
Fixed in the Git repository.
Comment 1 Pacho Ramos gentoo-dev 2012-09-15 12:52:42 UTC
Link:
https://bugzilla.novell.com/show_bug.cgi?id=739119
Comment 2 Pacho Ramos gentoo-dev 2012-09-15 13:37:13 UTC
+*mono-2.10.9-r2 (15 Sep 2012)
+
+  15 Sep 2012; Pacho Ramos <pacho@gentoo.org>
+  +files/mono-2.10.9-CVE-2012-3543.patch,
+  +files/mono-2.10.9-CVE-2012-3543_2.patch, +mono-2.10.9-r2.ebuild,
+  -mono-2.10.5.ebuild, -mono-2.10.8.ebuild:
+  Fix CVE-2012-3543, drop old.
+

Feel free to stabilize it
Comment 3 Sean Amoss gentoo-dev Security 2012-09-15 14:22:17 UTC
Thanks, Pacho.

Arches, please test and mark stable:
=dev-lang/mono-2.10.9-r2
Comment 4 Agostino Sarubbo gentoo-dev 2012-09-16 10:43:52 UTC
amd64 stable
Comment 5 Andreas Schürch gentoo-dev 2012-09-17 20:02:23 UTC
x86 done.
Comment 6 Agostino Sarubbo gentoo-dev 2012-11-30 16:56:40 UTC
ppc stable
Comment 7 Sean Amoss gentoo-dev Security 2012-12-01 14:07:04 UTC
Thanks, everyone.

GLSA vote: yes.
Comment 8 Stefan Behte (RETIRED) gentoo-dev Security 2012-12-16 21:56:01 UTC
Yes. Created GLSA request.
Comment 9 GLSAMaker/CVETool Bot gentoo-dev 2014-05-18 11:51:51 UTC
This issue was resolved and addressed in
 GLSA 201405-16 at http://security.gentoo.org/glsa/glsa-201405-16.xml
by GLSA coordinator Sean Amoss (ackle).